WooCommerce 4.0 is Here, but Take Care Before Updating

WooCommerce product page

WooCommerce 4.0 has shipped. I love WooCommerce, and I can’t think of another free software package in WordPress that has been the backbone of so many actually-profitable online small businesses.

So I say this fondly: WooCommerce is probably the least backwards-compatible major piece of the WordPress ecosystem. Updating it is the kind of nightmare that, as a WordPress developer, you’re more used to reading about in other software projects.

WooCommerce 4.0 straight-out admits that it’s not fully backwards-compatible with WooCommerce 3.x. I’ve heard a bit of “Yes, it broke” discussion on Facebook as well. So don’t just push the button: follow careful updating practices (start with a staging site and go from there) as described in the linked article, and happy updating.


Add a Comment

Your email address will not be published. Required fields are marked *